Subject: bug#17662: 24.3; Newly created variable has a value in it.

From: Glenn Morris <[email-masked]>
Date: Tue, 03 Jun 2014 00:53:43 -0400

As you say, I don't think there is a bug here, just side-effects of
destructively modifying variables. So I'll close the report, but feel
free to keep discussing it if you wish. (The help-gnu-emacs mailing list
is a better place for these kind of questions though.)